Details

    • Type: Sub-task Sub-task
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 0.6.0
    • Component/s: None
    • Labels:
      None

      Description

      Release of Hive 0.10 is imminent. Whenever we decide to include it in Bigtop (presumably in Bigtop 0.6, this should be trivial. The build succeeds with nothing more than the version change, but I'm yet to test the finished artifacts.

        Activity

        Hide
        Roman Shaposhnik added a comment -

        +1 and committed. Also, Sean, in the future could you please attach git'ified patches so I can git am them?

        Show
        Roman Shaposhnik added a comment - +1 and committed. Also, Sean, in the future could you please attach git'ified patches so I can git am them?
        Hide
        Sean Mackrory added a comment -

        I've built and run this on Ubuntu Precise and Fedora - no problems.

        Show
        Sean Mackrory added a comment - I've built and run this on Ubuntu Precise and Fedora - no problems.
        Hide
        Mark Grover added a comment -

        +1 (Non-committer)

        Show
        Mark Grover added a comment - +1 (Non-committer)
        Hide
        Sean Mackrory added a comment -

        This patch bumps the version to Hive 0.10.0. I've also included the fix described by Mark above and automated the inclusion of the correct Hive version in hive-site.xml (it was incorrect, as pointed out on the user mailing list this morning).

        Show
        Sean Mackrory added a comment - This patch bumps the version to Hive 0.10.0. I've also included the fix described by Mark above and automated the inclusion of the correct Hive version in hive-site.xml (it was incorrect, as pointed out on the user mailing list this morning).
        Hide
        Mark Grover added a comment -

        Sean Mackrory: Since you are working on this, I wanted to point out something. Hive used to not support PostGreSQL as metastore. Consequently, HIVE-2552 introduced a build property that will disable the inclusion of PostGreSQL upgrade scripts, etc. from the release tarball. Starting 0.10, Hive is re-supporting PostGreSQL as metastore again (HIVE-2529) but seems like automatic exclusion of PostGreSQL scripts is still in place.

        So, in your patch, please set include.postgres property to true when building Hive.

        I have created HIVE-3932 to fix this issue in Hive upstream, when a new hive release with the HIVE-3932's fix gets released, we can get rid of the explicit setting of the property in bigtop.

        Show
        Mark Grover added a comment - Sean Mackrory : Since you are working on this, I wanted to point out something. Hive used to not support PostGreSQL as metastore. Consequently, HIVE-2552 introduced a build property that will disable the inclusion of PostGreSQL upgrade scripts, etc. from the release tarball. Starting 0.10, Hive is re-supporting PostGreSQL as metastore again ( HIVE-2529 ) but seems like automatic exclusion of PostGreSQL scripts is still in place. So, in your patch, please set include.postgres property to true when building Hive. I have created HIVE-3932 to fix this issue in Hive upstream, when a new hive release with the HIVE-3932 's fix gets released, we can get rid of the explicit setting of the property in bigtop.
        Hide
        Mark Grover added a comment -

        For completeness, Hive 0.10.0 has now been released.

        Show
        Mark Grover added a comment - For completeness, Hive 0.10.0 has now been released.

          People

          • Assignee:
            Sean Mackrory
            Reporter:
            Sean Mackrory
          • Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development